Skip to main content
POST
/
v1
/
simulate
/
wires
/
{wire_id}
/
incoming_return
Simulate Incoming Wire Return
curl --request POST \
  --url https://api.sandbox.lead.bank/v1/simulate/wires/{wire_id}/incoming_return \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "return_code": "AC06",
  "amount": 5000,
  "return_additional_information": "<string>"
}
'
{}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

wire_id
string
required

ID of the Wire object you want to return.

Pattern: ^wire_\w+$

Body

application/json
return_code
enum<string>
required

List of eligible return reason codes for wire transfers.

  • AC06 - account_blocked
  • AM09 - wrong_amount
  • BE01 - creditor_name_mismatch
  • FOCR - honor_return_request
  • FR01 - fraud_suspected
  • MS02 - creditor_request
  • NARR - narrative
  • RR02 - missing_debtor_data
  • RR03 - missing_creditor_data
Available options:
AC06,
AM09,
BE01,
FOCR,
FR01,
MS02,
NARR,
RR02,
RR03
Example:

"AC06"

amount
integer<int64>

The amount to be returned in USD. Amount of the wire should be in currency's minor units.

Required range: 1 <= x <= 990000000000
Example:

5000

return_additional_information
string

Additional details about why the wire is being returned that will be included with the returned wire.

Required string length: 1 - 105
Pattern: ^[ \w/\-\?:\(\)\.,'\+!@#$%^&\*=`\{\|\}~";<>\[\\\]]*[\w/\-\?:\(\)\.,'\+!@#$%^&\*=`\{\|\}~";<>\[\\\]][ \w/\-\?:\(\)\.,'\+!@#$%^&\*=`\{\|\}~";<>\[\\\]]*$

Response

Wire return object created.

The response is of type object.